Skip to main content

Gets the notification list

GET /v1/notification/list

Summary

Gets the notification list.

Details

Supports optional query parameters seeninapp, sentasemail, and sinceepoch.

Authentication

No operation-level security requirement is documented here.

Parameters

None documented here.

Request Body

No request body is documented here.

Responses

200

Success

application/json

  • array of Notification
    • key (integer (int64), optional)
    • notificationStatusID (integer (int64), optional)
    • message (string, optional)
    • seenInApp (boolean, optional)
    • seenDate (string (date-time), optional)
    • sentAsEmail (boolean, optional)
    • sentAsEmailDate (string (date-time), optional)
    • creationDate (string (date-time), optional)

Example

[
{
"key": 1,
"notificationStatusID": 1,
"message": "Example value",
"seenInApp": true,
"seenDate": "2026-03-30T12:00:00.0000000Z",
"sentAsEmail": true,
"sentAsEmailDate": "2026-03-30T12:00:00.0000000Z",
"creationDate": "2026-03-30T12:00:00.0000000Z"
}
]